Page MenuHomePhabricator

On /en subpages, "This page is a translated version..." should be "Translate this page"
Closed, ResolvedPublic

Description

Assuming that your wiki is in English and you have the Translate extension installed:

  1. Write a page in English.
  2. Mark it for translation.

FuzzyBot will create an /en version of the page that will have exactly the same content as the original one, in English.

EXPECTED

/en page says "Translate this page" just like the original. In fact, perhaps it could be a simple redirect, if the /en is really needed.

ACTUAL

"This page is a translated version of a page XYZ and the translation is 100% complete."

Well, it is not a translation. Furthermore, if they click the link at XYZ they end up in 'the same page' (to the user's eye). Confusing.

See Also:
T63218: On /en subpages the "edit" tab should be "view source", not "translate"

Details

Reference
bz56518
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:33 AM
bzimport set Reference to bz56518.
bzimport added a subscriber: Unknown Object (MLST).
Qgil created this task.Nov 2 2013, 5:38 PM

At the moment the /en version is needed to enable template transclusion. The notice text could be changed or removed.

Qgil added a comment.Nov 3 2013, 6:19 AM

OK, then the same "Translate this page" as the original is the best option.

Qgil added a comment.Mar 16 2014, 12:51 AM

If you agree on the principle, would the implementation be easy (as in EASY keyword) for a newcomer?

The string already exists, and it should be used whenever the page is "/en".

Change 266411 had a related patch set uploaded (by Harish halo):
"This page is a translated version..." should be "Translate this page"

https://gerrit.wikimedia.org/r/266411

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 25 2016, 10:15 PM

Change 266411 abandoned by Nikerabbit:
"This page is a translated version..." should be "Translate this page"

Reason:
No updates in three months. Anyone should feel free to restore this patch (or ask if you cannot do it) if they plan to work on it or submit a new one.

https://gerrit.wikimedia.org/r/266411

Nikerabbit updated the task description. (Show Details)
Nikerabbit removed a subscriber: wikibugs-l-list.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 6 2016, 12:25 PM

Change 293962 had a related patch set uploaded (by Glaisher):
On translation pages in source language, show only "Translate this page" in header

https://gerrit.wikimedia.org/r/293962

Change 293962 merged by jenkins-bot:
On translation pages in source language, show "Translate this page" in header

https://gerrit.wikimedia.org/r/293962

Nikerabbit closed this task as Resolved.Jun 13 2016, 8:31 AM
Nikerabbit assigned this task to Glaisher.
Nikerabbit removed a project: Patch-For-Review.
Qgil awarded a token.Jun 13 2016, 9:07 AM

What actually has to be changed?

This task is already resolved.